Subject: [PATCH] ARM: i.MX6: update KSZ9031 phy fixup

From: [email-masked] (Eric Bénard)
Date: Wed, 2 Apr 2014 15:38:55 +0200

Hi Shawn,

Le Wed, 2 Apr 2014 21:14:08 +0800,
Shawn Guo <[email-masked]> a ?crit :

> 
> On Mon, Mar 24, 2014 at 04:41:41PM +0100, Eric B?nard wrote:
> > Hi Hubert,
> > 
> > Le Mon, 24 Mar 2014 16:30:49 +0100 (CET),
> > CHAUMETTE Hubert <[email-masked]> a ?crit :
> > > > From: "Eric B?nard" <[email-masked]>
> > > > that's board specific (the needed delay depends on the routing delay on
> > > > the PCB), so this should not go in a generic file.
> > > > 
> > > > Eric
> > > > 
> > > 
> > > I admit it may need to be in a separate function, but this file already contains
> > > board-specific fixups (for imx6q sabrelite, Data Modul eDM-QMX6).
> > > 
> > true but that's not a reason to add more ;-)
> > 
> > > Anyway, do you have any suggestion for the location I should put it ?
> > > 
> > no idea at the moment, I simply used your patch to bring this issue on
> > the ML as we recently needed to patch the default values for testing
> > mainline kernel on a custom boards.
> 
> Hmm, can such board-specific fixups be pushed down to bootloader?
> 
that won't work if the kernel reset the PHY.

Eric